Loading...
Searching...
No Matches
tasklets.hpp File Reference

Provides a mechanism to dispatch work to separate threads. More...

`#include <atomic>`
`#include <condition_variable>`
`#include <memory>`
`#include <mutex>`
`#include <queue>`
`#include <thread>`

Go to the source code of this file.

## Classes

class | Opm::TaskletInterface
| The base class for tasklets. More...
class | Opm::FunctionRunnerTasklet< Fn >
| A simple tasklet that runs a function that returns void and does not take any arguments a given number of times. More...
class | Opm::TaskletRunner
| Handles where a given tasklet is run. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Provides a mechanism to dispatch work to separate threads.